package com.rjconsultores.ventaboletos.web.gui.controladores.impressaofiscal;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.FiscalRelgerencialEmpresa;
import com.rjconsultores.ventaboletos.entidad.FiscalTotnaofiscalEmpresa;
import com.rjconsultores.ventaboletos.entidad.TipoEventoExtra;

public class RelgerencialEmpresaListItemRenderer implements ListitemRenderer {
	
	@Override
	public void render(Listitem listItem, Object obj) throws Exception {
		FiscalRelgerencialEmpresa relgerencialEmpresa = (FiscalRelgerencialEmpresa)obj;

		Listcell idCell =  new Listcell(relgerencialEmpresa.getFiscalrelgerencialId().toString());
		idCell.setParent(listItem);
		
		Listcell empresaCell =  new Listcell(relgerencialEmpresa.getEmpresa().toString());
		empresaCell.setParent(listItem);
		
		Listcell tipoRelatorioCell =  new Listcell(relgerencialEmpresa.getTiporelgerencial());
		tipoRelatorioCell.setParent(listItem);
		
		Listcell descricaoCell =  new Listcell(relgerencialEmpresa.getDescricao());
		descricaoCell.setParent(listItem);
					
		listItem.setAttribute("data", relgerencialEmpresa);		
	}

}
